OpenVDB 7.0.0

Public Types | Static Public Member Functions | List of all members
GridOrTreeConstructor< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | TreeTypePtr = typename TreeType::Ptr
using | BoolTreePtrType = typename TreeType::template ValueConverter< bool >::Type::Ptr

## Static Public Member Functions
static BoolTreePtrType | constructMask (const TreeType &, BoolTreePtrType &maskTree)
static TreeTypePtr | construct (const TreeType &, TreeTypePtr &tree)

## Member Typedef Documentation

## ◆ BoolTreePtrType

using BoolTreePtrType = typename TreeType::template ValueConverter<bool>::Type::Ptr

## ◆ TreeTypePtr

using TreeTypePtr = typename TreeType::Ptr

## Member Function Documentation

## ◆ construct()

static TreeTypePtr construct | ( | const TreeType & | ,
|  | TreeTypePtr & | tree
| ) |  |
| inline static

## ◆ constructMask()

static BoolTreePtrType constructMask | ( | const TreeType & | ,
|  | BoolTreePtrType & | maskTree
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- LevelSetUtil.h